public static interface WekaEndpointBuilderFactory.WekaBuilders
| Modifier and Type | Method and Description |
|---|---|
default WekaEndpointBuilderFactory.WekaEndpointBuilder |
weka(String path)
Weka (camel-weka)
Perform machine learning tasks using Weka.
|
default WekaEndpointBuilderFactory.WekaEndpointBuilder |
weka(String componentName,
String path)
Weka (camel-weka)
Perform machine learning tasks using Weka.
|
default WekaEndpointBuilderFactory.WekaEndpointBuilder weka(String path)
weka:command
Path parameter: command (required)
The command to use.
There are 7 enums and the value can be one of: filter, model, read,
write, push, pop, versionpath - commanddefault WekaEndpointBuilderFactory.WekaEndpointBuilder weka(String componentName, String path)
weka:command
Path parameter: command (required)
The command to use.
There are 7 enums and the value can be one of: filter, model, read,
write, push, pop, versioncomponentName - to use a custom component name for the endpoint
instead of the default namepath - commandApache Camel